package ca.dss.dacs;

// $Id: DACSCHECK.java 1701 2007-02-16 23:24:01Z FEDROOT::SVN:brachman $

public class DACSCHECK
{
  /**
   * The program entry point. Call it as:
   * java ca.dss.dacs.dacscheck arg ...
   */
  public static void main(String args[])
    {
      DACSCHECK rc = new DACSCHECK(args);
      System.out.println( "{" + rc + "}" );
    }
  
  /**
   * Default constructor: calls the dacscheck() method which is defined
   * (below) as a native method.
   */
  public DACSCHECK(String args[])
    {
      super();
      rc = dacscheck(args);	// call the native method
    }

  /**
   * This is the definition of the native method.
   * The static block following it is executed as part of the class
   * construction.
   */
  private native int dacscheck(String args[]);

  static {
      // Load a library whose "core" name is 'java-rlt-dacsjni'.
      System.loadLibrary("java-rlt-dacsjni");
    }

  // the constructor stores here the result of the native method call
  private int rc;
}
